Skip to main content
POST
/
interactions
Create an interaction event
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/interactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "channel": "<string>",
  "type": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "purpose": "<string>",
  "outcome": "<string>",
  "agentId": "<string>",
  "linkedResourceType": "<string>",
  "linkedResourceId": "<string>"
}
'
{
  "eventId": "evt_01JQ9MVH9K1MSA6D0H8N7ZQ5RQ",
  "partyId": "<string>",
  "channel": "web",
  "type": "inbound-call",
  "purpose": "loan application status enquiry",
  "outcome": "information-provided",
  "agentId": "agt_1048",
  "occurredAt": "2023-11-07T05:31:56Z",
  "linkedResourceType": "loan-application",
  "linkedResourceId": "clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
channel
string
required
type
string
required
occurredAt
string<date-time>
required
purpose
string
outcome
string
agentId
string
linkedResourceType
string
linkedResourceId
string

Response

Interaction event created

eventId
string
Example:

"evt_01JQ9MVH9K1MSA6D0H8N7ZQ5RQ"

partyId
string
channel
enum<string>
Available options:
web,
mobile,
branch,
rm,
contact-center,
email,
sms,
chat
type
string
Example:

"inbound-call"

purpose
string
Example:

"loan application status enquiry"

outcome
string
Example:

"information-provided"

agentId
string
Example:

"agt_1048"

occurredAt
string<date-time>
linkedResourceType
string
Example:

"loan-application"

linkedResourceId
string
Example:

"clapp_01JQ9MQ6WZ5W2DGWHHMDXPGM3E"